import { EventEmitter } from "../../../stencil-public-runtime";
import { States } from "src/utils/utils";
export declare class SwInputtext {
  state: States;
  text: string;
  description: string;
  label: string;
  countWords: boolean;
  limitWords: number;
  outputText: EventEmitter<string>;
  counter: number;
  componentWillRender(): void;
  valueTextChange(ev: any): void;
  updatecountWords(value: any): void;
  updateState(value: any): void;
  updateText(value: any): void;
  updateDescription(value: any): void;
  render(): any;
}
